using System;

using FSpot;
using FSpot.Extensions;

namespace FSpot.Extensions {

	public class DummyExtension: FSpot.Extensions.Extension
	{
		protected override string ConfigurationName { get { return "DummyExtension"; } }
		public override string DisplayName { get { return "Dummy Extension"; } }
		public override string Description { get { return "This DummyExtension does nothing"; } }
		public override ExtensionCategory Category { get { return ExtensionCategory.Misc; } }
		public override ExtensionRevision Revision { get { return new ExtensionRevision(0,1,1); } }
		public override string [] Authors {
			get { 
				return new string [] {
					"FirstAuthor",
					"SecondGuy"
				};
			} 
		}

		public DummyExtension () : base()
		{
			Console.WriteLine("new DummyExtension instanciated !");	
			//This will enable this extension at first load
			//Preferences.Get("Enabled", true);
			
			//This will enable this extension at startup
			//Preferences.Set("Enabled", true);
		}


		protected override void ExtensionInitialize()
		{
			Console.WriteLine("Initializing DummyExtension");	
		}

		protected override void ExtensionDispose()
		{
			Console.WriteLine("Disposing DummyExtension");
		}
	}
}
